#ifndef __VRAYTESTNORMAL_H_
#define __VRAYTESTNORMAL_H_

//#include <maya/MSimple.h>
//#include <maya/MIOStream.h>
#include <maya/MPxCommand.h>
#include <maya/MArgList.h>



class VRayNormalTest: public MPxNode {
public:
	VRayNormalTest();
	virtual ~VRayNormalTest();

	virtual MStatus compute(const MPlug&, MDataBlock&);

	static void* creator();
	static MStatus initialize();
	
	static MTypeId id;
	static MString apiType;
	static MString classification;
private:
	static MObject m_diffuse_color;

	static MObject m_outColor;
	static MObject m_outTransparency;
	static MObject m_outApiType;
	static MObject m_outApiClassification;
};

class ThunderLoomCommand: public MPxCommand {
    public:
        MStatus doIt( const MArgList& args);
        static void* creator();
};


#endif
